Bug 468154 - scim lock keyboard input
scim lock keyboard input
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 05:32 EDT by Aaron Lu
Modified: 2009-01-05 02:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-26 22:54:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aaron Lu 2008-10-23 05:32:02 EDT
Description of problem:


Version-Release number of selected component (if applicable):
scim-1.4.7-24.fc9.i386

How reproducible:

Steps to Reproduce:
for gnome-terminal
1. run "ln -s /etc/X11/xinit/xinput.d/scim.conf .xinputrc" under home directory
2. start gnome and open gnome-terminal
2. ctrl-shift-T open a new tab window
3. close any of the two tab windows
  
Actual results:
the remaining tab window doesn't respond to any keyboard input.

Expected results:
continue to respond to keyboard input 

for gedit
1. run "ln -s /etc/X11/xinit/xinput.d/scim.conf .xinputrc" under home directory
2. start gnome and open gedit
2. ctrl-N to open a new tab window
3. close any of the two tab windows
  
Actual results:
the remaining tab window doesn't respond to any keyboard input.

Expected results:
continue to respond to keyboard input 

Additional info:
Comment 1 Aaron Lu 2008-10-26 22:27:58 EDT
According to https://bugs.launchpad.net/ubuntu/+source/scim/+bug/66104, a solution for me is:
1 yum install scim-bridge-gtk package(will install scim-bridge also).
2 set /FrontEnd/X11/Dynamic from false to true.
Comment 2 Jens Petersen 2008-10-27 23:59:38 EDT
Hmm this might be fixed in rawhide.
Comment 3 Jens Petersen 2008-10-28 00:27:42 EDT
(In reply to comment #1)
> According to https://bugs.launchpad.net/ubuntu/+source/scim/+bug/66104, a
> solution for me is:
> 1 yum install scim-bridge-gtk package(will install scim-bridge also).
> 2 set /FrontEnd/X11/Dynamic from false to true.

Presumably you mean 1 or 2.
Comment 4 Aaron Lu 2008-10-28 05:02:18 EDT
(In reply to comment #3)
> (In reply to comment #1)
> > According to https://bugs.launchpad.net/ubuntu/+source/scim/+bug/66104, a
> > solution for me is:
> > 1 yum install scim-bridge-gtk package(will install scim-bridge also).
> > 2 set /FrontEnd/X11/Dynamic from false to true.
> 
> Presumably you mean 1 or 2.

Sorry I didn't make it clear.
The solution for me is simply by 1. whether /FrontEnd/X11/Dynamic is set to false or true doesn't matter(I thought it matters while posting the last comment).
Comment 5 Jens Petersen 2009-01-05 02:04:11 EST
I guess 2 helps with XIM (but would break deadkeys).

Note You need to log in before you can comment on or make changes to this bug.